orte/mca/rds/resfile/rds_resfile.h File Reference.TH "orte/mca/rds/resfile/rds_resfile.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/rds/resfile/rds_resfile.h \- Resource Discovery (Hostfile). 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'mca/rds/base/base.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_rds_resfile_component_t\fP \fBorte_rds_resfile_component_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_rds_resfile_query\fP (void)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_finalize\fP (void)"
.br
.ti -1c
.RI "char * \fBorte_rds_resfile_getline\fP (FILE *fp)"
.br
.ti -1c
.RI "char * \fBorte_rds_resfile_parse_field\fP (char *input)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_fe\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_cd\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_os\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_fs\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_se\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.ti -1c
.RI "int \fBorte_rds_resfile_parse_na\fP (orte_rds_cell_desc_t *cell, FILE *fp)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBopal_list_t\fP \fBresource_list\fP"
.br
.ti -1c
.RI "OMPI_COMP_EXPORT \fBorte_rds_resfile_component_t\fP \fBmca_rds_resfile_component\fP"
.br
.ti -1c
.RI "OMPI_COMP_EXPORT orte_rds_base_module_t \fBorte_rds_resfile_module\fP"
.br
.ti -1c
.RI "bool \fBorte_rds_resfile_queried\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Resource Discovery (Hostfile). 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
